summaryrefslogtreecommitdiff
path: root/run
diff options
context:
space:
mode:
authorwiki <wiki@proton.parabola.nu>2016-08-02 21:10:30 +0100
committerwiki <wiki@proton.parabola.nu>2016-08-02 21:10:30 +0100
commitd386934962c15a79703588812dc5815f32d70cbf (patch)
tree1251b086744a5305855c107eacbcf3e96005ab6e /run
parenta5f917bbc55e295896b8084f6657eb8b6abaf8a8 (diff)
files were sitting here on productionemulatorman/master
Diffstat (limited to 'run')
-rw-r--r--run7
1 files changed, 7 insertions, 0 deletions
diff --git a/run b/run
new file mode 100644
index 00000000..247500c7
--- /dev/null
+++ b/run
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+set -e
+cd $(cd $(dirname $0)/..; pwd)
+set -x
+./vendor/bin/parallel-lint --exclude vendor .
+./vendor/bin/phpunit --configuration test/phpunit.xml
+./vendor/bin/phpcs . --standard=./test/codesniffer --ignore=vendor/* --report=full -s --tab-width=4